get
https://api.genability.com/rest/public/territories
Return a full or filtered list of Territories.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Use this endpoint to return a full or filtered list of territories.
When to use this endpoint
Use GET /rest/public/territories when you need to:
- Find territories for a ZIP or postal code, address, or latitude and longitude.
- Filter territories for a specific LSE.
- Retrieve tariff-related territories, such as baseline regions, by using
usageTypes. - Return territory items or associated LSEs when you need additional context.
Common filters
| Parameter | Type | Description |
|---|---|---|
zipCode | String | Filters territories to those that include this ZIP code. |
postCode | String | Alias for zipCode. |
country | String | ISO country code. Defaults to US when zipCode or postCode is populated. |
addressString | String | Address string used to find matching territories. |
lat / lng | Float | Latitude and longitude pair used when not supplying a ZIP code or address. |
lseId | Integer | Filters territories to those within a specific LSE ID. |
populateItems | Boolean | When true, returns territory items for each territory. |
masterTariffId | Integer | Returns territories covered by a tariff when the tariff has territory-based pricing. |
usageTypes | String | Filters territories by usage type. |
populateLses | Boolean | When true, returns LSEs that provide service in each territory. |
Related endpoints
Request Parameters
Along with the standard pagination parameters, searching and sorting parameters, and the required security parameters, the following parameters are available as part of the request:
